Loading...
Searching...
No Matches
pcl::tracking::_ParticleXYRPY Struct Reference

`#include <pcl/tracking/impl/tracking.hpp>`

Inheritance diagram for pcl::tracking::_ParticleXYRPY:

## Public Attributes

union { |
struct { |
float roll |
float pitch |
float yaw |
float weight |
} |
float data_c [4] |
}; |

## Detailed Description

Definition at line 422 of file tracking.hpp.

## Member Data Documentation

## [union]

PCL_ADD_POINT4D union { ... } pcl::tracking::_ParticleXYRPY

## data_c

float pcl::tracking::_ParticleXYRPY::data_c[4]

Definition at line 431 of file tracking.hpp.

## pitch

float pcl::tracking::_ParticleXYRPY::pitch

Definition at line 427 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), pcl::tracking::operator<<(), pcl::tracking::ParticleXYRPY::operator[](), pcl::tracking::ParticleXYRPY::ParticleXYRPY(), pcl::tracking::ParticleXYRPY::ParticleXYRPY(), pcl::tracking::ParticleXYRPY::ParticleXYRPY(), pcl::tracking::ParticleXYRPY::sample(), pcl::tracking::ParticleXYRPY::toEigenMatrix(), pcl::tracking::ParticleXYRPY::weightedAverage(), and pcl::tracking::ParticleXYRPY::zero().

## roll

float pcl::tracking::_ParticleXYRPY::roll

Definition at line 426 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), pcl::tracking::operator<<(), pcl::tracking::ParticleXYRPY::operator[](), pcl::tracking::ParticleXYRPY::ParticleXYRPY(), pcl::tracking::ParticleXYRPY::ParticleXYRPY(), pcl::tracking::ParticleXYRPY::ParticleXYRPY(), pcl::tracking::ParticleXYRPY::sample(), pcl::tracking::ParticleXYRPY::toEigenMatrix(), pcl::tracking::ParticleXYRPY::weightedAverage(), and pcl::tracking::ParticleXYRPY::zero().

## weight

float pcl::tracking::_ParticleXYRPY::weight

Definition at line 429 of file tracking.hpp.

Referenced by pcl::tracking::ParticleXYRPY::weightedAverage().

## yaw

float pcl::tracking::_ParticleXYRPY::yaw

Definition at line 428 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), pcl::tracking::operator<<(), pcl::tracking::ParticleXYRPY::operator[](), pcl::tracking::ParticleXYRPY::ParticleXYRPY(), pcl::tracking::ParticleXYRPY::ParticleXYRPY(), pcl::tracking::ParticleXYRPY::ParticleXYRPY(), pcl::tracking::ParticleXYRPY::sample(), pcl::tracking::ParticleXYRPY::toEigenMatrix(), pcl::tracking::ParticleXYRPY::weightedAverage(), and pcl::tracking::ParticleXYRPY::zero().

The documentation for this struct was generated from the following file:

- pcl/tracking/impl/tracking.hpp